petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCGAMGType

type of generalized algebraic multigrid (PCGAMG) method

### Synopsis

    typedef const char *PCGAMGType;
    #define PCGAMGAGG         "agg"
    #define PCGAMGGEO         "geo"
    #define PCGAMGCLASSICAL   "classical"

      PCGAMGAGG - (the default) smoothed aggregation algorithm, robust, very well tested

      PCGAMGGEO - geometric coarsening, uses mesh generator to produce coarser meshes, limited to triangles, not well tested

      PCGAMGCLASSICAL - classical algebraic multigrid preconditioner, incomplete, poorly tested

### See Also

PCMG, PCSetType(), PCGAMGSetThreshold(), PCGAMGSetThreshold(), PCGAMGSetReuseInterpolation()

### Level

intermediate

### Location

src/ksp/pc/../../../include/petscpctypes.h
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages